[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'ipc' (#rtl)

# shmdt

Detach shared memory block.

## Declaration

Source position: ipc.pp line 269

`function shmdt(`
`shmaddr: pointer`
`):cint;`

## Description

shmdt detaches the shared memory at address shmaddr. This shared memory block is unavailable to the current process, until it is attached again by a call to shmat.

The function returns True if the memory block was detached successfully, False otherwise.

## Errors

On error, False is returned, and IPCerror is set.

## See also

shmget |  | Return the ID of a shared memory block, possibly creating it
shmat |  | Attach a shared memory block.
shmctl |  | Perform control operations on a shared memory block.

Documentation generated on: Feb 26 2014